clear, clc, close all

% signal parameters
fs = 44100;
T = 0.1;
N = round(T*fs);
t = (0:N-1)/fs;

% signal generation
x1 = sin(2*pi*1000*t);
x2 = sin(2*pi*4500*t);
x = x1 + x2 + 0.01*randn(1, N);

% spectral analysis
[Xamp, ~, freq] = spectrum(x, fs);

% plot
figure(1)
plot(freq/1000, Xamp, 'r') 
grid on
xlim([0 max(freq/1000)])
ylim([-120 max(Xamp)+10])
set(gca, 'FontName', 'Times New Roman', 'FontSize', 14)
xlabel('Frequency, kHz') 
ylabel('Magnitude, dB')
title('Amplitude spectrum of the signals') 