clear, clc, close all

fs = 44100;
T = 0.1;
N = round(T*fs);
t = (0:N-1)/fs;
x1 = sin(2*pi*1000*t);
x2 = sin(2*pi*5000*t);
x = (x1 + x2).^2;

[Xamp, ~, freq] = spectrum(x, fs);

figure(1)
plot(freq/1000, Xamp, 'r', 'LineWidth', 3) 
grid on
xlim([0 max(freq/1000)])
ylim([-120 max(Xamp)+10])
set(gca, 'FontName', 'Times New Roman', 'FontSize', 14)
xlabel('Frequency, kHz')
ylabel('Magnitude, dB') 
title('Amplitude spectrum of the signals')