clear, clc, close all

fs = 44100;
T = 0.1;
N = round(T*fs);
t = (0:N-1)/fs;
x = sin(2*pi*5000*t);
xhat = x.*exp(1i*2*pi*2000*t);

[Xamp, ~, freq] = spectrum(x, fs);
[Xamphat, ~, ~] = spectrum(xhat, fs);

figure(1)
plot(freq/1000, Xamp, 'b', 'LineWidth', 3)
grid on
hold on
plot(freq/1000, Xamphat, 'r', 'LineWidth', 3)
xlim([0 max(freq/1000)])
ylim([-120 max(Xamp)+10])
set(gca, 'FontName', 'Times New Roman', 'FontSize', 14)
xlabel('Frequency, kHz') 
ylabel('Magnitude, dB')
title('Amplitude spectrum of the signals')

legend('original signal', 'frequency shifted signal')